Debian Bug report logs - #75244
liborbit-dev: Missing include from libIDL/IDL.h

version graph

Package: liborbit-dev; Maintainer for liborbit-dev is (unknown);

Reported by: ERDI Gergo <cactus@cactus.rulez.org>

Date: Fri, 20 Oct 2000 18:03:02 UTC

Severity: wishlist

Merged with 74039

Found in versions 0.5.3-0.1, 0.5.4-helix1

Fixed in version orbit/0.5.5-1

Done: Maintainer: Chris Waters <xtifr@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainer: Chris Waters <xtifr@debian.org>:
Bug#75244; Package liborbit-dev. Full text and rfc822 format available.

Acknowledgement sent to ERDI Gergo <cactus@cactus.rulez.org>:
New Bug report received and forwarded. Copy sent to Maintainer: Chris Waters <xtifr@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ERDI Gergo <cactus@cactus.rulez.org>
To: submit@bugs.debian.org
Subject: liborbit-dev: Missing include from libIDL/IDL.h
Date: Fri, 20 Oct 2000 19:49:30 +0200 (CEST)
Package: liborbit-dev
Version: 0.5.4-helix1
Severity: normal

Including <tstdio.h> in libIDL/IDL.h is needed because of the
following function prototype:

extern void  IDL_tree_to_IDL (IDL_tree p,
                              IDL_ns ns,
                              FILE *output,
                              unsigned long output_flags);

needs the definition of FILE.

This bug makes the compilation of anything requiring libIDL impossible.
							 
-- System Information
Debian Release: woody
Kernel Version: Linux galaxy 2.2.16 #2 SMP Sun Sep 3 23:18:07 CEST 2000 i686 unknown

Versions of the packages liborbit-dev depends on:
ii  indent             2.2.5-1            C language source code formatting program
ii  libc6              2.1.95-1           GNU C Library: Shared libraries and Timezone data
ii  libglib1.2         1.2.8-helix1       The GLib library of C routines
ii  orbit              0.5.4-helix1       A CORBA ORB (used with Gnome)
ii  libglib1.2-dev     1.2.8-helix1       Development files for GLib library
	^^^ (Provides virtual package libglib-dev)



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainer: Chris Waters <xtifr@debian.org>:
Bug#75244; Package liborbit-dev. Full text and rfc822 format available.

Acknowledgement sent to Chris Waters <xtifr@dsp.net>:
Extra info received and forwarded to list. Copy sent to Maintainer: Chris Waters <xtifr@debian.org>. Full text and rfc822 format available.

Message #10 received at 75244@bugs.debian.org (full text, mbox):

From: Chris Waters <xtifr@dsp.net>
To: ERDI Gergo <cactus@cactus.rulez.org>, 75244@bugs.debian.org
Subject: Re: Bug#75244: liborbit-dev: Missing include from libIDL/IDL.h
Date: Fri, 20 Oct 2000 13:36:46 -0700
On Fri, Oct 20, 2000 at 07:49:30PM +0200, ERDI Gergo wrote:
> Package: liborbit-dev
> Version: 0.5.4-helix1
> Severity: normal

The helix packages are NOT produced by debian, and if you persist in
sending helix bug reports to debian, you *will* get in trouble.

And if you persist in filing bug reports without checking the existing
reports, you will get in more trouble.  See #74039 for my response the
last time this was reported.

  http://bugs.debian.org/74039

cheers
-- 
Chris Waters   xtifr@dsp.net | I have a truly elegant proof of the
      or    xtifr@debian.org | above, but it is too long to fit into
                             | this .signature file.



Severity set to `wishlist'. Request was from Chris Waters <xtifr@dsp.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 74039 75244. Request was from Chris Waters <xtifr@dsp.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainer: Chris Waters <xtifr@debian.org>:
Bug#75244; Package liborbit-dev. Full text and rfc822 format available.

Acknowledgement sent to ERDI Gergo <cactus@cactus.rulez.org>:
Extra info received and forwarded to list. Copy sent to Maintainer: Chris Waters <xtifr@debian.org>. Full text and rfc822 format available.

Message #19 received at 75244@bugs.debian.org (full text, mbox):

From: ERDI Gergo <cactus@cactus.rulez.org>
To: Chris Waters <xtifr@dsp.net>
Cc: 75244@bugs.debian.org
Subject: Re: Bug#75244: liborbit-dev: Missing include from libIDL/IDL.h
Date: Sat, 21 Oct 2000 11:42:12 +0200 (CEST)
On Fri, 20 Oct 2000, Chris Waters wrote:

> The helix packages are NOT produced by debian, and if you persist in
> sending helix bug reports to debian, you *will* get in trouble.

The maintainer of liborbit-dev is debian@helixcode.com, I don't know why
you got this bug report, I certainly didn't send it specifically to anyone
but the liborbit-dev maintainer.

-- 
   .--= ULLA! =----------------------------.  finger cactus@cactus.rulez.org
   \      http://cactus.rulez.org           \   for PGP public key
    `----------= cactus@cactus.rulez.org =--'
Our lips met passionately - then she closed her legs and broke my glasses.




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainer: Chris Waters <xtifr@debian.org>:
Bug#75244; Package liborbit-dev. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to Maintainer: Chris Waters <xtifr@debian.org>. Full text and rfc822 format available.

Message #24 received at 75244@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: ERDI Gergo <cactus@cactus.rulez.org>, 75244@bugs.debian.org
Cc: Chris Waters <xtifr@dsp.net>
Subject: Re: Bug#75244: liborbit-dev: Missing include from libIDL/IDL.h
Date: Sat, 21 Oct 2000 13:35:02 +0200
On Sat, Oct 21, 2000 at 11:42:12AM +0200, ERDI Gergo wrote:
> > The helix packages are NOT produced by debian, and if you persist in
> > sending helix bug reports to debian, you *will* get in trouble.
> 
> The maintainer of liborbit-dev is debian@helixcode.com, I don't know why
> you got this bug report, I certainly didn't send it specifically to anyone
> but the liborbit-dev maintainer.

You sent it to the Debian bug tracking system, instead of Helix's.

-- 
Digital Electronic Being Intended for Assassination and Nullification



Reply sent to Maintainer: Chris Waters <xtifr@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ERDI Gergo <cactus@cactus.rulez.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 74039-close@bugs.debian.org (full text, mbox):

From: Maintainer: Chris Waters <xtifr@debian.org>
To: 74039-close@bugs.debian.org
Subject: Bug#74039: fixed in orbit 0.5.5-1
Date: Sun, 17 Dec 2000 15:03:59 -0500
We believe that the bug you reported is fixed in the latest version of
orbit, which has been installed in the Debian FTP archive:

liborbit0_0.5.5-1_i386.deb
  to pool/main/o/orbit/liborbit0_0.5.5-1_i386.deb
orbit_0.5.5-1_i386.deb
  to pool/main/o/orbit/orbit_0.5.5-1_i386.deb
liborbit-dbg_0.5.5-1_i386.deb
  to pool/main/o/orbit/liborbit-dbg_0.5.5-1_i386.deb
orbit_0.5.5-1.dsc
  to pool/main/o/orbit/orbit_0.5.5-1.dsc
orbit_0.5.5.orig.tar.gz
  to pool/main/o/orbit/orbit_0.5.5.orig.tar.gz
orbit_0.5.5-1.diff.gz
  to pool/main/o/orbit/orbit_0.5.5-1.diff.gz
liborbit-dev_0.5.5-1_i386.deb
  to pool/main/o/orbit/liborbit-dev_0.5.5-1_i386.deb
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 74039@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Maintainer: Chris Waters <xtifr@debian.org> (supplier of updated orbit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sat, 16 Dec 2000 14:47:45 -0800
Source: orbit
Binary: orbit liborbit-dev liborbit0 liborbit-dbg
Architecture: source i386
Version: 0.5.5-1
Distribution: unstable
Urgency: low
Maintainer: Maintainer: Chris Waters <xtifr@debian.org>
Changed-By: Chris Waters <xtifr@debian.org>
Description: 
 liborbit-dbg - Debugging libraries for ORBit - a CORBA ORB
 liborbit-dev - Dev libraries for ORBit - a CORBA ORB
 liborbit0  - Libraries for ORBit - a CORBA ORB
 orbit      - A CORBA ORB (used with Gnome)
Closes: 52620 74039 75244 78945
Changes: 
 orbit (0.5.5-1) unstable; urgency=low
 .
   * New upstream release.  (Back to old maintainer, though--thanks to TK
     for supporting me through my days of hardware crisis.)  All our old
     patches were either merged upstream or otherwise obsolete.  Yay!
     All patches to upstream source in this release are brand new.
   * Updated standards-version, added build-depends.
   * Massive cleanup efforts on debian/rules.  Now almost readable.
   * Added a TODO.Debian file to give some hints of my future plans.
   * Added all files in docs subdir to liborbit-dev.
   * Installs ORBit.m4 (and has since 0.5.1-0.1).  (closes:#52620)
   * Added a helpful '#include <stdio.h>' in IDL.h. (Upstream plans to have
     this in next version.)   (closes:#74039,#75244)
   * Removed the LIBTOOL_IS_A_FOOL hack, which was preventing orbit from
     compiling on systems where it wasn't already installed.  (No longer
     seems to be necessary, fortunately.)  (closes:#78945)
   * Patched top-level Makefile.am (and Makefile.in) to remove CVS dirs
     from the documentation in 'dist-hook' target.  This isn't actually
     used by Debian, but I want the patch on record.  :-)
Files: 
 906e4f6098363b743fe7125fe7f5fb1c 798 devel optional orbit_0.5.5-1.dsc
 1031016405051e039d0093ae8847a64a 1072366 devel optional orbit_0.5.5.orig.tar.gz
 90d62264e32963dd39c5318fdc5ca46e 5653 devel optional orbit_0.5.5-1.diff.gz
 19c3202763e1ab664cb354682d02dd3a 120094 devel optional orbit_0.5.5-1_i386.deb
 5c16f38b095420e746c99a57b6872886 159750 libs optional liborbit0_0.5.5-1_i386.deb
 c9d96b818669e7b647c1968c9e4f903c 373002 devel optional liborbit-dev_0.5.5-1_i386.deb
 e1882d23472519c0fd51e0658c0d28a3 1345326 devel optional liborbit-dbg_0.5.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQCVAwUBOjwFlzZs0/7rwRsBAQH4GwQApr9FcEZcdwEb7VHFul9br/Sb4K7akDhT
uXm/0QjLSNEwoRYTYnEvlUn9z7LzceVm0swiCms7XR0wTdBr/2WaGeKLOJ5o+6jp
Zmy2paS4QhHkn6WoC7HR9fTXCQeqfYT8qWMRBjnOrOf0fCPNLOwoWw3g6upghbYv
jU24jlZiz3g=
=Ot+S
-----END PGP SIGNATURE-----



Message #30 received at 75244-close@bugs.debian.org (full text, mbox):

From: Maintainer: Chris Waters <xtifr@debian.org>
To: 75244-close@bugs.debian.org
Subject: Bug#75244: fixed in orbit 0.5.5-1
Date: Sun, 17 Dec 2000 15:03:59 -0500
We believe that the bug you reported is fixed in the latest version of
orbit, which has been installed in the Debian FTP archive:

liborbit0_0.5.5-1_i386.deb
  to pool/main/o/orbit/liborbit0_0.5.5-1_i386.deb
orbit_0.5.5-1_i386.deb
  to pool/main/o/orbit/orbit_0.5.5-1_i386.deb
liborbit-dbg_0.5.5-1_i386.deb
  to pool/main/o/orbit/liborbit-dbg_0.5.5-1_i386.deb
orbit_0.5.5-1.dsc
  to pool/main/o/orbit/orbit_0.5.5-1.dsc
orbit_0.5.5.orig.tar.gz
  to pool/main/o/orbit/orbit_0.5.5.orig.tar.gz
orbit_0.5.5-1.diff.gz
  to pool/main/o/orbit/orbit_0.5.5-1.diff.gz
liborbit-dev_0.5.5-1_i386.deb
  to pool/main/o/orbit/liborbit-dev_0.5.5-1_i386.deb
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 75244@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Maintainer: Chris Waters <xtifr@debian.org> (supplier of updated orbit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sat, 16 Dec 2000 14:47:45 -0800
Source: orbit
Binary: orbit liborbit-dev liborbit0 liborbit-dbg
Architecture: source i386
Version: 0.5.5-1
Distribution: unstable
Urgency: low
Maintainer: Maintainer: Chris Waters <xtifr@debian.org>
Changed-By: Chris Waters <xtifr@debian.org>
Description: 
 liborbit-dbg - Debugging libraries for ORBit - a CORBA ORB
 liborbit-dev - Dev libraries for ORBit - a CORBA ORB
 liborbit0  - Libraries for ORBit - a CORBA ORB
 orbit      - A CORBA ORB (used with Gnome)
Closes: 52620 74039 75244 78945
Changes: 
 orbit (0.5.5-1) unstable; urgency=low
 .
   * New upstream release.  (Back to old maintainer, though--thanks to TK
     for supporting me through my days of hardware crisis.)  All our old
     patches were either merged upstream or otherwise obsolete.  Yay!
     All patches to upstream source in this release are brand new.
   * Updated standards-version, added build-depends.
   * Massive cleanup efforts on debian/rules.  Now almost readable.
   * Added a TODO.Debian file to give some hints of my future plans.
   * Added all files in docs subdir to liborbit-dev.
   * Installs ORBit.m4 (and has since 0.5.1-0.1).  (closes:#52620)
   * Added a helpful '#include <stdio.h>' in IDL.h. (Upstream plans to have
     this in next version.)   (closes:#74039,#75244)
   * Removed the LIBTOOL_IS_A_FOOL hack, which was preventing orbit from
     compiling on systems where it wasn't already installed.  (No longer
     seems to be necessary, fortunately.)  (closes:#78945)
   * Patched top-level Makefile.am (and Makefile.in) to remove CVS dirs
     from the documentation in 'dist-hook' target.  This isn't actually
     used by Debian, but I want the patch on record.  :-)
Files: 
 906e4f6098363b743fe7125fe7f5fb1c 798 devel optional orbit_0.5.5-1.dsc
 1031016405051e039d0093ae8847a64a 1072366 devel optional orbit_0.5.5.orig.tar.gz
 90d62264e32963dd39c5318fdc5ca46e 5653 devel optional orbit_0.5.5-1.diff.gz
 19c3202763e1ab664cb354682d02dd3a 120094 devel optional orbit_0.5.5-1_i386.deb
 5c16f38b095420e746c99a57b6872886 159750 libs optional liborbit0_0.5.5-1_i386.deb
 c9d96b818669e7b647c1968c9e4f903c 373002 devel optional liborbit-dev_0.5.5-1_i386.deb
 e1882d23472519c0fd51e0658c0d28a3 1345326 devel optional liborbit-dbg_0.5.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQCVAwUBOjwFlzZs0/7rwRsBAQH4GwQApr9FcEZcdwEb7VHFul9br/Sb4K7akDhT
uXm/0QjLSNEwoRYTYnEvlUn9z7LzceVm0swiCms7XR0wTdBr/2WaGeKLOJ5o+6jp
Zmy2paS4QhHkn6WoC7HR9fTXCQeqfYT8qWMRBjnOrOf0fCPNLOwoWw3g6upghbYv
jU24jlZiz3g=
=Ot+S
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:41:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.